freshworks.freshchat

Element details

type: meya.freshworks.freshchat.integration
class: FreshchatIntegration
path: /meya/freshworks/freshchat/integration/integration.py
signature: -

Fields

fielddescription               requiredsignaturedefaulttype
specOverride the original spec for this element.○○nullSpec
enabledEnables the integration, allowing it to process events and HTTP/WS entries.○○truebool
filter○○rx_sub: true
rx: true
tx: "\nmeya.event.entry.interactive\nOR meya.csp.event\nOR meya.button.event.click\n
OR meya.form.event.submit\n"
tx_pub: true
IntegrationFilter
verify_tokenThe token to be verified for each incoming request. You need to add the verify_token=YOUR_TOKEN query parameter to integration's webhook URL.○○nullstr
max_attachment_sizeControls maximum attachment size supported by the integration in bytes.○○nullint
markdownThe markdown features that are supported by this integration. Check the Markdown guide for more info.○○falselist
bool
typingWhen set to false, all typing indicators received by the integration will be ignored.○○truebool
avatar○○crop: circleCspIntegrationAvatar
agent_command_prefix○○"~"str
transcript○○count: 25
user_prefix: user
bot_prefix: bot
agent_prefix: agent
note_prefix: 📝
CspIntegrationTranscript
agent○○name:
avatar:
AgentSpec
api_token◉○str
app_id◉○str
bot_agent_email◉○str
api_root○○"https://api.freshchat.com"str
channel_name○○"Inbox"str
channel_tags○○nulllist
note_indicator○○"📝"str
assignment_rules○○no_assignee: bot
human_agent: agent
bot_agent: bot
group: agent
FreshchatAssignmentRules
user_source_property_name○○"source"str
user_source_property_value○○"meya"str

Usage reference

Basic

type: meya.freshworks.freshchat.integration
api_token: STRING
app_id: STRING
bot_agent_email: STRING

Full

type: meya.freshworks.freshchat.integration
spec:
  type: STRING
  data:
    STRING: ANY
  timeout: 123
  trigger_when: ANY
enabled: false
filter:
  rx_sub: STRING
  rx: STRING
  tx: STRING
  tx_pub: STRING
verify_token: STRING
max_attachment_size: 123
markdown:
  - format|linkify|breaks|typographer
typing: false
avatar:
  crop: circle|square
agent_command_prefix: STRING
transcript:
  count: 123
  user_prefix: STRING
  bot_prefix: STRING
  agent_prefix: STRING
  note_prefix: STRING
agent:
  name: full|first|first_initial|first_last_initial|first_initial_last_initial
  avatar:
    image: STRING
    crop: circle|square
    monogram: full|first|first_initial|first_last_initial|first_initial_last_initial
api_token: STRING
app_id: STRING
bot_agent_email: STRING
api_root: STRING
channel_name: STRING
channel_tags:
  - STRING
note_indicator: STRING
assignment_rules:
  no_assignee: STRING
  human_agent: STRING
  bot_agent: STRING
  group: STRING
user_source_property_name: STRING
user_source_property_value: STRING